#!/usr/bin/bash
#
# Pilot Log environment file
#
export SSDIR=$(cd $(dirname $(realpath $BASH_SOURCE))/.. && pwd)
export LD_LIBRARY_PATH=$SSDIR/pgsql/lib:$LD_LIBRARY_PATH
export PATH=$PATH:$SSDIR/bin:$SSDIR/pgsql/bin
# This is the port PostgreSQL will use, it is user configurable.
# If you change it while the server is running make sure to kill it:
# kill `sed -n 1p pilotlog/data/postmaster.pid`
export PGPORT=9320
export PGHOST=/tmp
export PGDATA=${XDG_DATA_HOME:=$HOME/.local/share}/$(basename $SSDIR)/data

# Set Aubit environment
export AUBITDIR="${AUBITDIR:=$SSDIR/aubit4gl}"
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$AUBITDIR/lib
export A4GL_SQLTYPE=pg8
# Use libpq
export A4GL_LEXTYPE=C
# Use libecpg
#export A4GL_LEXTYPE=EC
#export A4GL_LEXDIALECT=POSTGRES
# So forms and help file are found
export DBPATH=$DBPATH:$SSDIR/bin

# PostgreSQL uses PGDATESTYLE for psql
#export PGDATESTYLE=DMY
#export PGDATESTYLE=MDY
#export PGDATESTYLE=YMD

