--
-- PostgreSQL database dump
--

-- Dumped from database version 14.3
-- Dumped by pg_dump version 14.3

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: matches_to_regexp(text, text); Type: FUNCTION; Schema: public; Owner: -
--

CREATE FUNCTION public.matches_to_regexp(str text, esc text) RETURNS text
    LANGUAGE plpgsql
    AS $_$
declare
        lv_cnt integer;
        lv_rval text;
        lv_c char;
        lv_contains_dot_start integer;
 BEGIN
        lv_cnt:=0;
        lv_rval:='^';
        lv_contains_dot_start:=0;

-- We should probably be looking at the esc too - but we'll leave that for now...
        for lv_cnt in 1..length(str) loop
                lv_c:=substr(str,lv_cnt,1);
                if lv_c='?' then
                        lv_rval:=lv_rval||'.';
                        lv_contains_dot_start:=1;
                else
                        if lv_c='*' then
                                lv_rval:=lv_rval||'.*';
                                lv_contains_dot_start:=1;
                        else
                                if lv_c='.' then
                                        lv_rval:=lv_rval||'.';
                                else
                                        --lv_rval:=lv_rval||lv_c;
                                        -- need to use concat() to preserve
                                        -- whitespace between words
                                        lv_rval:=concat(lv_rval,lv_c);
                                end if;
                        end if;
                end if;

        end loop;

        if lv_contains_dot_start=1 then
                lv_rval=lv_rval||'[ ]*$';
        end if;

        return lv_rval;

 END;
 $_$;


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: ac_ident; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.ac_ident (
    arcft_ident character(10),
    model character(10)
);


--
-- Name: aircraft; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.aircraft (
    manuf character(30),
    model character(10),
    model_name character(30),
    category character(4),
    class character(3),
    power character(10),
    horse integer,
    complex character(1),
    high_perf character(1),
    retract character(1),
    sim character(1),
    tailwheel character(1)
);


--
-- Name: category; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.category (
    cat character(4),
    descr character(20)
);


--
-- Name: class; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.class (
    code character(3),
    descr character(20)
);


--
-- Name: log_entry; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.log_entry (
    entry_date date,
    arcft_type character(10),
    arcft_ident character(10),
    route character(30),
    flight numeric(7,1),
    day_ldgs smallint,
    night_ldgs smallint,
    act_instr numeric(7,1),
    sim_instr numeric(7,1),
    sim numeric(7,1),
    num_apprch smallint,
    night numeric(7,1),
    x_country numeric(7,1),
    solo numeric(7,1),
    pic numeric(7,1),
    sic numeric(7,1),
    dual numeric(7,1),
    cfi numeric(7,1),
    lnk integer NOT NULL,
    custom1 numeric(7,1),
    custom2 numeric(7,1),
    custom3 numeric(7,1),
    custom4 numeric(7,1),
    custom5 numeric(7,1),
    custom6 numeric(7,1)
);


--
-- Name: log_entry_lnk_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.log_entry_lnk_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: log_entry_lnk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.log_entry_lnk_seq OWNED BY public.log_entry.lnk;


--
-- Name: log_field; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.log_field (
    field_id character(7),
    descr character(20)
);


--
-- Name: menu_field; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.menu_field (
    menucode character(3),
    itemdesc character(27),
    exectype character(1),
    execline character(40),
    itemgrp character(2),
    itemlink integer NOT NULL
);


--
-- Name: menu_field_itemlink_seq; Type: SEQUENCE; Schema: public; Owner: -
--

CREATE SEQUENCE public.menu_field_itemlink_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- Name: menu_field_itemlink_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: -
--

ALTER SEQUENCE public.menu_field_itemlink_seq OWNED BY public.menu_field.itemlink;


--
-- Name: menu_head; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.menu_head (
    menucode character(3),
    title character(50),
    prevmenu character(3)
);


--
-- Name: menu_secure; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.menu_secure (
    itemlink integer,
    usercode character(10)
);


--
-- Name: pilot_name; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.pilot_name (
    fname character(30),
    addr1 character(30),
    addr2 character(30),
    city character(30),
    state character(2),
    zip_code character(10),
    phone character(14),
    email_address character(30)
);


--
-- Name: powerplant; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.powerplant (
    type character(10)
);


--
-- Name: prt_parm; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.prt_parm (
    rpt_name character(15),
    username character(10),
    lp_name character(15),
    copies smallint,
    paper_tray smallint
);


--
-- Name: remarks; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.remarks (
    entry_lnk integer,
    seq smallint,
    txt character(60)
);


--
-- Name: wb_cg_limit; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.wb_cg_limit (
    arcft_model character(10),
    arm numeric(6,2),
    weight numeric(8,2)
);


--
-- Name: wb_station; Type: TABLE; Schema: public; Owner: -
--

CREATE TABLE public.wb_station (
    arcft_ident character(10),
    descr character(17),
    qty integer,
    unit numeric(6,3),
    weight numeric(8,2),
    arm numeric(6,2)
);


--
-- Name: log_entry lnk; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.log_entry ALTER COLUMN lnk SET DEFAULT nextval('public.log_entry_lnk_seq'::regclass);


--
-- Name: menu_field itemlink; Type: DEFAULT; Schema: public; Owner: -
--

ALTER TABLE ONLY public.menu_field ALTER COLUMN itemlink SET DEFAULT nextval('public.menu_field_itemlink_seq'::regclass);


--
-- Name: i_ac_ident; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_ac_ident ON public.ac_ident USING btree (arcft_ident);


--
-- Name: i_aircraft; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_aircraft ON public.aircraft USING btree (model);


--
-- Name: i_cat; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_cat ON public.category USING btree (cat);


--
-- Name: i_class; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_class ON public.class USING btree (code);


--
-- Name: i_log_entry; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_log_entry ON public.log_entry USING btree (lnk);


--
-- Name: i_menufield; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_menufield ON public.menu_field USING btree (itemlink, menucode);


--
-- Name: i_menuhead; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_menuhead ON public.menu_head USING btree (menucode);


--
-- Name: i_menusecure; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_menusecure ON public.menu_secure USING btree (itemlink, usercode);


--
-- Name: i_model; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX i_model ON public.ac_ident USING btree (model);


--
-- Name: i_pp; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_pp ON public.powerplant USING btree (type);


--
-- Name: i_remarks; Type: INDEX; Schema: public; Owner: -
--

CREATE UNIQUE INDEX i_remarks ON public.remarks USING btree (entry_lnk, seq);


--
-- Name: i_type; Type: INDEX; Schema: public; Owner: -
--

CREATE INDEX i_type ON public.log_entry USING btree (arcft_type);


--
-- PostgreSQL database dump complete
--

--
-- PostgreSQL database dump
--

-- Dumped from database version 14.3
-- Dumped by pg_dump version 14.3

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Data for Name: aircraft; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.aircraft (manuf, model, model_name, category, class, power, horse, complex, high_perf, retract, sim, tailwheel) FROM stdin;
Cessna                        	C320F     	Skyknight                     	AIR 	MEL	PISTON    	285	Y	Y	Y	N	N
Piper                         	PA28-161  	Warrior                       	AIR 	SEL	PISTON    	161	N	N	N	N	N
Piper                         	PA23-250  	Aztec                         	AIR 	MEL	PISTON    	250	Y	Y	Y	N	N
Piper                         	PA38-112  	Tomahawk                      	AIR 	SEL	PISTON    	112	N	N	N	N	N
Piper                         	PA28RT-201	Arrow IV                      	AIR 	SEL	PISTON    	200	Y	Y	Y	N	N
Cessna                        	C414      	Chancelor                     	AIR 	MEL	PISTON    	650	Y	Y	Y	N	N
Cessna                        	C205      	Super Skylane                 	AIR 	SEL	PISTON    	260	N	Y	N	N	N
Beechcraft                    	BE-35     	Bonanza                       	AIR 	SEL	PISTON    	225	Y	Y	Y	N	N
Piper                         	PA28-236  	Dakota                        	AIR 	SEL	PISTON    	235	N	Y	N	N	N
Piper                         	PA28R-201 	Arrow                         	AIR 	SEL	PISTON    	200	Y	Y	Y	N	N
Piper                         	PA24-260  	Comanche 260                  	AIR 	SEL	PISTON    	260	Y	Y	Y	N	N
Piper                         	PA32R-300 	Lance                         	AIR 	SEL	PISTON    	300	Y	Y	Y	N	N
Mooney                        	M20F      	Executive                     	AIR 	SEL	PISTON    	200	Y	Y	Y	N	N
Cessna                        	C421B     	Golden Eagle                  	AIR 	MEL	PISTON    	750	Y	Y	Y	N	N
Beechcraft                    	F33A      	Bonanza                       	AIR 	SEL	PISTON    	285	Y	Y	Y	N	N
Lockheed Martin               	F-16CJ    	Block 50, Viper               	AIR 	SEL	TURBOJET  	26000	Y	Y	Y	Y	N
Cessna                        	C150M     	\N	AIR 	SEL	PISTON    	100	N	N	N	N	N
Cessna                        	C182H     	Skylane                       	AIR 	SEL	PISTON    	230	N	Y	N	N	N
Cessna                        	C402      	\N	AIR 	MEL	PISTON    	325	Y	Y	Y	N	N
Cessna                        	C172N     	Skyhawk                       	AIR 	SEL	PISTON    	160	N	N	N	N	N
Cessna                        	C401      	\N	AIR 	MEL	PISTON    	300	Y	Y	Y	N	N
Cessna                        	C210      	Centurion                     	AIR 	SEL	PISTON    	285	Y	Y	Y	N	N
Cessna                        	C172M     	Skyhawk                       	AIR 	SEL	PISTON    	150	N	N	N	N	N
Cessna                        	C172      	Skyhawk                       	AIR 	SEL	PISTON    	160	N	N	N	N	N
Piper                         	PA-28-150 	Cherokee                      	AIR 	SEL	PISTON    	150	N	N	N	N	N
\.


--
-- Data for Name: category; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.category (cat, descr) FROM stdin;
AIR 	Airplane            
GLI 	Glider              
LIG 	Lighter-than-Air    
POW 	Powered Lift        
ROT 	Rotorcraft          
\.


--
-- Data for Name: class; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.class (code, descr) FROM stdin;
AIR	Airship             
BAL	Balloon             
GLI	Glider              
GYR	Gyroplane           
HEL	Helicopter          
MEL	Multi-Engine Land   
MES	Multi-Engine Sea    
SEL	Single-Engine Land  
SES	Single-Engine Sea   
\.


--
-- Data for Name: menu_field; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.menu_field (menucode, itemdesc, exectype, execline, itemgrp, itemlink) FROM stdin;
MM 	Pilot Logbook              	P	pilotlog.4ge                            	E 	1
MM 	Weight and Balance         	P	wb.4ge                                  	E 	10
MM 	Logbook Detail Report      	P	logdetail.4ge                           	R 	2
MM 	Pilot Maintenance          	P	pilotname.4ge                           	T 	3
MM 	Aircraft Type Maintenance  	P	arcfttype.4ge                           	T 	4
MM 	Aircraft Ident Maintenance 	P	arcftident.4ge                          	T 	5
MM 	Menu Maintenance           	P	syfmenu.4ge                             	T 	6
MM 	Menu Security              	P	syfmenusec.4ge                          	T 	7
\.


--
-- Data for Name: menu_head; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.menu_head (menucode, title, prevmenu) FROM stdin;
MM 	Main Menu                                         	\N
\.


--
-- Data for Name: powerplant; Type: TABLE DATA; Schema: public; Owner: -
--

COPY public.powerplant (type) FROM stdin;
PISTON    
TURBINE   
TURBOFAN  
TURBOJET  
TURBOPROP 
UNPOWERED 
\.


--
-- Name: menu_field_itemlink_seq; Type: SEQUENCE SET; Schema: public; Owner: -
--

SELECT pg_catalog.setval('public.menu_field_itemlink_seq', 14, true);


--
-- PostgreSQL database dump complete
--

